Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.net
Enum Authenticator.RequestorType

    java.lang.Object
      java.lang.Enum<Authenticator.RequestorType>
          java.net.Authenticator.RequestorType

All Implemented Interfaces:
  Serializable, Comparable<Authenticator.RequestorType>

Enclosing class:
  Authenticator

    public static enum Authenticator.RequestorType

extends Enum<Authenticator.RequestorType>

The type of the entity requesting authentication.

Since:
  1.5

Enum Constant Summary
`PROXY` Entity requesting authentication is a HTTP proxy server.
`SERVER` Entity requesting authentication is a HTTP origin server.

Method Summary
`static Authenticator.RequestorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Authenticator.RequestorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROXY

    public static final Authenticator.RequestorType PROXY

  Entity requesting authentication is a HTTP proxy server.

### SERVER

    public static final Authenticator.RequestorType SERVER

  Entity requesting authentication is a HTTP origin server.

Method Detail

### values

    public static final Authenticator.RequestorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Authenticator.RequestorType c : Authenticator.RequestorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Authenticator.RequestorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.